import 'package:json_annotation/json_annotation.dart';

part '../model_map_json/log_model.g.dart';

@JsonSerializable()
class Log {
  String? logID;
  String? logType;
  String? subType;
  DateTime? logTime;
  String? info;
  String? ver;
  String? os;

  String? identity;

  Log(
      {this.logID,
      this.logType,
      this.subType,
      this.logTime,
      this.info,
      this.ver,
      this.os,
      this.identity});

  factory Log.fromJson(Map<String, dynamic> json) => _$LogFromJson(json);

  Map<String, dynamic> toJson() => _$LogToJson(this);
}
