import 'package:json_annotation/json_annotation.dart';

part '../model_map_json/token_login_result_model.g.dart';

@JsonSerializable()
class ResultTokenLogin {
  String? countryCode;
  String? phone;
  String? identity;
  String? token;
  String? password;

  ResultTokenLogin(
      {this.countryCode, this.phone, this.identity, this.token, this.password});

  factory ResultTokenLogin.fromJson(Map<String, dynamic> json) =>
      _$ResultTokenLoginFromJson(json);

  Map<String, dynamic> toJson() => _$ResultTokenLoginToJson(this);
}
